import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { AbnormaDataModel } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 14:49
 */
interface AbnormaDataModelCU extends ConditionUtil<AbnormaDataModelCU>{
    ID:FieldUtil<AbnormaDataModelCU>;
    TAPDID:FieldUtil<AbnormaDataModelCU>;
    PARKID:FieldUtil<AbnormaDataModelCU>;
    DATA:FieldUtil<AbnormaDataModelCU>;
    PLATENO:FieldUtil<AbnormaDataModelCU>;
    CREATETIME:FieldUtil<AbnormaDataModelCU>;
}

class AbnormaDataModelCUImpl extends ConditionUtilImpl<AbnormaDataModelCUImpl> implements AbnormaDataModelCU{ 
    newInstance(): AbnormaDataModelCUImpl {
        return new AbnormaDataModelCUImpl();
    } 
    get ID(): FieldUtil<AbnormaDataModelCU>{  
        return new FieldUtil('id','id','', this);
    }
    get TAPDID(): FieldUtil<AbnormaDataModelCU>{  
        return new FieldUtil('tapdId','tapdid','tapdId', this);
    }
    get PARKID(): FieldUtil<AbnormaDataModelCU>{  
        return new FieldUtil('parkId','parkid','车场id', this);
    }
    get DATA(): FieldUtil<AbnormaDataModelCU>{  
        return new FieldUtil('data','data','数据', this);
    }
    get PLATENO(): FieldUtil<AbnormaDataModelCU>{  
        return new FieldUtil('plateNo','plateno','车牌号', this);
    }
    get CREATETIME(): FieldUtil<AbnormaDataModelCU>{  
        return new FieldUtil('createTime','createtime','创建时间', this);
    }
}

@Singleton 
class AbnormaDataModelMU extends TableUtilImpl<AbnormaDataModelCU,AbnormaDataModel>{ 
    tableName  = 't_ns_1047713_abnormal';
    tableFields  = ['id','tapdId','parkId','data','plateNo','createTime'];
    modelFields  = ['id','tapdid','parkid','data','plateno','createtime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): AbnormaDataModelCU {
        return new AbnormaDataModelCUImpl();
    }   

    static get ID(): FieldUtil<AbnormaDataModelCU>{ 
        return new FieldUtil('id','id','', new AbnormaDataModelCUImpl());
    }
    static get TAPDID(): FieldUtil<AbnormaDataModelCU>{ 
        return new FieldUtil('tapdId','tapdid','tapdId', new AbnormaDataModelCUImpl());
    }
    static get PARKID(): FieldUtil<AbnormaDataModelCU>{ 
        return new FieldUtil('parkId','parkid','车场id', new AbnormaDataModelCUImpl());
    }
    static get DATA(): FieldUtil<AbnormaDataModelCU>{ 
        return new FieldUtil('data','data','数据', new AbnormaDataModelCUImpl());
    }
    static get PLATENO(): FieldUtil<AbnormaDataModelCU>{ 
        return new FieldUtil('plateNo','plateno','车牌号', new AbnormaDataModelCUImpl());
    }
    static get CREATETIME(): FieldUtil<AbnormaDataModelCU>{ 
        return new FieldUtil('createTime','createtime','创建时间', new AbnormaDataModelCUImpl());
    }

    get ID(): FieldUtil<AbnormaDataModelCU>{ 
        return AbnormaDataModelMU.ID;
    }
    get TAPDID(): FieldUtil<AbnormaDataModelCU>{ 
        return AbnormaDataModelMU.TAPDID;
    }
    get PARKID(): FieldUtil<AbnormaDataModelCU>{ 
        return AbnormaDataModelMU.PARKID;
    }
    get DATA(): FieldUtil<AbnormaDataModelCU>{ 
        return AbnormaDataModelMU.DATA;
    }
    get PLATENO(): FieldUtil<AbnormaDataModelCU>{ 
        return AbnormaDataModelMU.PLATENO;
    }
    get CREATETIME(): FieldUtil<AbnormaDataModelCU>{ 
        return AbnormaDataModelMU.CREATETIME;
    }
}
export {AbnormaDataModelMU, AbnormaDataModelCU}
